> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Subaccounts API improvements: New permission and quota fields

> The Subaccounts API adds explicit permission changes and limits on concurrency, agents, minutes, and workflow runs.

We've improved the [Subaccounts API](/api-reference/platform-api/subaccounts/create-subaccount) with more options to manage subaccounts, including explicit permission mutations, finer-grained quota controls, and additional permission flags returned.

The legacy `permissions` object on **Update Subaccount** is no longer accepted for permission changes; use `grant_permissions` and `revoke_permissions` instead.

**New request fields on POST and PUT Subaccount**

| Field                | Description                                                                                                                                   |
| -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `concurrency`        | Maximum simultaneous calls.                                                                                                                   |
| `max_agents`         | Maximum agents the subaccount can create.                                                                                                     |
| `max_minutes`        | Minute allocation for the subaccount.                                                                                                         |
| `max_workflow_runs`  | Workflow-run allocation for the subaccount.                                                                                                   |
| `grant_permissions`  | Permissions to grant. See the [supported values](/api-reference/platform-api/subaccounts/create-subaccount#request.body.grant_permissions).   |
| `revoke_permissions` | Permissions to revoke. See the [supported values](/api-reference/platform-api/subaccounts/create-subaccount#request.body.revoke_permissions). |

**New response fields** added to the [`permissions` object](/api-reference/platform-api/subaccounts/get-subaccount#response.body.response.subaccounts.permissions) returned by **GET Subaccount**:

| Field         | Description                                   |
| ------------- | --------------------------------------------- |
| `inbound`     | Can create inbound voice agents.              |
| `outbound`    | Can create outbound voice agents.             |
| `widget`      | Can create web widget agents.                 |
| `chat`        | Can create chat agents.                       |
| `logs`        | Can access call, chat, API, and webhook logs. |
| `simulations` | Can access call simulations.                  |
| `analytics`   | Can view the analytics dashboard.             |

**Updated endpoints:**

| Endpoint                                                                                            | Title               |
| --------------------------------------------------------------------------------------------------- | ------------------- |
| [**POST /subaccounts**](/api-reference/platform-api/subaccounts/create-subaccount)                  | Create a subaccount |
| [**PUT /subaccounts/\{subaccount\_id}**](/api-reference/platform-api/subaccounts/update-subaccount) | Update a subaccount |
| [**GET /subaccounts/\{subaccount\_id}**](/api-reference/platform-api/subaccounts/get-subaccount)    | Get a subaccount    |
| [**GET /subaccounts**](/api-reference/platform-api/subaccounts/list-subaccounts)                    | List subaccounts    |